body {
  margin: 0 auto;
  font-family: "Public Sans", serif;
  background-color: #ffffff;
  color: black;
  overflow-x: hidden;
}

.services-heading {
  height: 250px;
  background: conic-gradient(
    from 135deg at 36% 50%,
    #0a3d0a 0deg 180deg,
    #000000 180deg 360deg
  );
  width: 100%;
}

.services-heading-text {
  font-size: 80px;
  color: white;
  text-transform: uppercase;
  font-style: italic;
  display: flex;
  align-items: end;
  height: 100%;
}
.services-heading-text span {
  margin: 30px;
}

.contact-hero {
  height: auto;
  width: 100%;
  background-image: url("photos/service-background-ground-green.webp");
  background-size: cover;
  background-position: center;
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
}

.contact-hero-overlay {
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.5); /* optional dark overlay */
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  box-sizing: border-box;
  color: white;
  font-family: "Public Sans", sans-serif;
}

.contact-header {
  height: 1%;
  display: none;
  align-items: flex-end;
}

.contact-header h1 {
  font-size: 54px;
  letter-spacing: 2px;
  font-weight: 600;
  margin: 0;
}

.contact-content {
  height: fit-content;
  margin-top: 110px;
  display: flex;
  justify-content: center; /* centers both sections horizontally */
  align-items: flex-start;
  gap: 100px;
  flex-wrap: wrap;
  max-width: 1250px; /* optional: keeps them from stretching too far on large screens */
  margin-left: auto;
  margin-right: auto;
  background-color: #000000e0;
  padding: 55px 0px;
  border-radius: 4px;
  margin-bottom: 50px;
}

.contact-left {
  flex: 1;
  min-width: 300px;
  max-width: 50%;
  display: flex;
  flex-direction: column;
  gap: 20px;
}
.contact-left p {
  font-size: 19px;
  line-height: 1.6;
  font-weight: 300;
  margin: 5px;
}

.bottom-text {
  font-size: 20px;
  line-height: 1.6;
  font-weight: 400;
  margin-bottom: 25px;
  padding-right: 5px;
}

.contact-methods {
  display: flex;
  flex-direction: column;
  gap: 12px;
  margin-top: 10px;
}

.contact-box {
  position: relative;
  border: 1px solid white;
  padding: 30px 30px 20px 30px;
  color: white;
  width: fit-content;
  padding-top: 40px;
  background-color: #000;
}

.contact-label {
  position: absolute;
  top: -18px;
  left: 10px;
  background-color: black; /* Change this to match your background */
  padding: 0 8px;
  font-style: italic;
  font-size: 22px;
  font-weight: 600;
}

.contact-method {
  display: flex;
  align-items: center;
  gap: 10px;
  margin-bottom: 25px;
}

.contact-method img {
  width: 50px;
  height: 50px;
}
.contact-method a {
  color: rgba(145, 255, 56, 0.863);
  text-decoration: none;
  font-weight: 500;
  font-size: 22px;
  margin-bottom: 5px;
  margin-left: 7px;
}

.contact-method a:hover {
  color: rgb(79, 160, 13);
  text-decoration: underline;
}

.top-text {
  font-size: 26px;
  line-height: 1.3;
  font-weight: 400;
}

.contact-right {
  flex: 1;
  min-width: 300px;
  max-width: 45%;
}

.contact-left,
.contact-right {
  flex: 1 1 350px;
  max-width: 40%;
  min-width: 300px;
}

.contact-form-container {
  height: fit-content;
  justify-self: flex-start;
  align-self: center;
  margin-top: 20px;
}

.contact-form {
  display: flex;
  flex-direction: column;
  gap: 16px;
  max-width: 100%;
  font-family: sans-serif;
  background-color: rgb(255, 255, 255);
  border-radius: 8px;
  padding: 30px 20px;
  min-width: 400px;
  padding-top: 35px;
}

.form-title {
  font-family: "Public Sans", serif;
  color: black;
  font-size: 35px;
  font-weight: 600;
  margin-left: 3px;
}

.form-row {
  display: flex;
  gap: 20px;
  flex-wrap: wrap;
  margin-bottom: 10px;
}

.form-group {
  position: relative;
  flex: 1;
  min-width: 200px;
  margin-bottom: 7px;
}

.full-width {
  width: 100%;
}

input,
textarea {
  padding: 14px 10px;
  border: none;
  border-bottom: 1px solid #494949;
  background: rgb(255, 255, 255);
  font-size: 17px;
  width: 100%;
  box-sizing: border-box;
  outline: none;
  padding-left: 15px;
  padding-bottom: 10px;
}

textarea {
  max-width: 500px;
}

input::placeholder,
textarea::placeholder {
  color: transparent; /* Hide placeholder since label replaces it */
}

input:focus,
textarea:focus {
  border: 1px solid #0f0f0f;
  color: rgb(0, 0, 0);
}

label {
  position: absolute;
  top: 14px;
  left: 10px;
  pointer-events: none;
  transition: 0.2s ease all;
  color: #494949;
  font-family: "Public Sans", serif;
  font-size: 15px;
  background-color: rgb(255, 255, 255);
  padding: 0 4px;
}

input:focus + label,
textarea:focus + label,
input:not(:placeholder-shown) + label,
textarea:not(:placeholder-shown) + label {
  top: -10px;
  left: 10px;
  font-size: 14px;
  color: #000;
}

button[type="submit"] {
  padding: 15px 20px;
  background-color: #000000;
  color: white;
  width: 100%;
  border: none;
  border-radius: 2px;
  font-size: 16px;
  cursor: pointer;
  align-self: center;
  border: 1px solid white;
}

button[type="submit"]:hover {
  background-color: #1d1d1d;
}

#formStatus {
  margin-top: 8px;
  font-size: 0.95rem;
}

#formStatus.error {
  color: red;
}

#formStatus.success {
  color: green;
}

.area-we-operate-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 20px 0 60px;
  background-color: #000000;
  color: white;
}

.operate-heading {
  margin: 20px;
  font-size: 38px;
  text-transform: uppercase;
  font-style: italic;
}

.zoom-wrapper {
  width: 768px;
  height: 432px;
  overflow: hidden;
  position: relative;
  border: 1px solid rgb(161, 161, 161);
  cursor: zoom-in;
}

.zoom-wrapper.zoomed {
  cursor: zoom-out;
}

#zoomable-image {
  width: 100%;
  height: 100%;
  object-fit: cover;
  transition: transform 0.3s ease;
  transform-origin: center center;
  will-change: transform;
  pointer-events: none; /* prevents dragging */
}

.status {
  margin-top: 8px;
  font-size: 14px;
}
.status.success {
  color: #18a558;
}
.status.error {
  color: #d43c3c;
}
.mobile-contact-text {
  display: none;
}

.mobile-view-title {
  display: none;
}

@media (max-width: 850px) {
  .zoom-wrapper {
    max-width: 355px;
    height: auto;
  }
  .contact-form {
    min-width: 250px;
    width: 90%;
  }
  .contact-box {
    max-width: 100%;
  }
  .contact-method a {
    font-size: 18px;
  }
  .contact-method img {
    height: 20px;
    width: 20px;
  }
  .contact-content {
    margin-bottom: 0px;
    margin-top: 0px;
    padding-top: 140px;
  }
  .mobile-view-title {
    display: block;
    top: 40px;
    left: 25px;
    position: absolute;
    font-size: 48px;
    font-style: italic;
    font-weight: 600;
    text-transform: uppercase;
    color: white;
    align-self: flex-start;
    font-family: "Hubot Sans", sans-serif;
  }
  .contact-content {
    width: 100%;
  }
  .contact-left {
    min-width: 0px;
    max-width: none;
    max-width: 85vw;
  }
  .contact-content {
    background: linear-gradient(
      to bottom,
      #000000fb 0%,
      #000000ea 10%,
      #000000ea 10%,
      #000000a4 100%
    );
  }
  .mobile-contact-text {
    display: block;
    font-size: 19px;
    line-height: 1.6;
    font-weight: 300;
    margin: 5px;
  }
  .contact-left p {
    display: none;
  }
  .contact-content {
    gap: 20px;
  }
  .top-text {
    display: none;
  }
}
